{
  "activation_checkpointing": {
    "partition_activations": true,
    "cpu_checkpointing": false,
    "contiguous_memory_optimization": true,
    "number_checkpoints": null,
    "synchronize_checkpoint_boundary": false,
    "profile": true
  },
  "flops_profiler": {
    "enabled": true,
    "profile_step": 3,
    "module_depth": -1,
    "top_modules": 1,
    "detailed": true,
    "output_file": null 
  },
  "train_batch_size": 8,
  "train_micro_batch_size_per_gpu": 1,
  "gradient_clipping": 1.0,
  "zero_optimization": {
    "stage": 1
  },
  "curriculum_learning":{
    "enabled": false
  },
  "fp16": {
    "enabled": true,
    "loss_scale": 0,
    "loss_scale_window": 500,
    "hysteresis": 2,
    "min_loss_scale": 1,
    "initial_scale_power": 12
  },
  "steps_per_print": 1,
  "memory_breakdown": false,
  "wall_clock_breakdown": true
}
